--- title: "Adds a new connection to an existing device" slug: "adds-a-new-connection-to-an-existing-device" updated: 2025-07-21T18:55:46Z published: 2025-07-21T18:55:54Z canonical: "docs.neeve.ai/adds-a-new-connection-to-an-existing-device" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt > Use this file to discover all available pages before exploring further. # Adds a new connection to an existing device Post/api/v1/devices/{deviceId}/connections SecurityHTTPType bearer Path parametersdeviceIdintegerRequired The ID of the device to which the new connection will be added Body parameters The connection endpoint attributes for the new connection Expand Allobject applicationProtocolstring ExampleSSH/RDP/HTTP/HTTPS/VNC/TELNET/TCP attributesobject enableFileTransferstring Exampletrue/false enableWallpaperstring Exampletrue/false not_send_proxy_headersboolean passwordstring pathsobject Example{ "api_v1": "/api/v1/path/*" } privatekeystring requestobject header_rewriteobject rules Array of object (HeaderRewrite) object findstring header_namestring paths Array of string string replacestring replace_allboolean headersobject add Array of object (CustomHeader) object namestring paths Array of string string valuestring append Array of object (CustomHeader) object namestring paths Array of string string valuestring remove Array of object (CustomHeader) object namestring paths Array of string string valuestring rename Array of object (CustomHeader) object namestring paths Array of string string valuestring replace Array of object (CustomHeader) object namestring paths Array of string string valuestring responseobject body_rewriteobject apply_default_rulesboolean content_types Array of string string rules Array of object (ResponseBodyRewrite) object findstring paths Array of string string replacestring replace_allboolean header_rewriteobject apply_default_rulesboolean rules Array of object (HeaderRewrite) object findstring header_namestring paths Array of string string replacestring replace_allboolean headersobject add Array of object (CustomHeader) object namestring paths Array of string string valuestring append Array of object (CustomHeader) object namestring paths Array of string string valuestring remove Array of object (CustomHeader) object namestring paths Array of string string valuestring rename Array of object (CustomHeader) object namestring paths Array of string string valuestring replace Array of object (CustomHeader) object namestring paths Array of string string valuestring usernamestring labelstring networkProtocolstring ExampleTCP pathstring portinteger portsobject portRangesobject endstring startstring protocol Array of string string subdomainstring Responses200 OK Expand Allobject authorizationboolean dataobject error_codeinteger error_messagestring error_statusboolean Examplefalse 401 Unauthorized object error_codeinteger error_messagestring error_statusboolean 403 Forbidden object error_codeinteger error_messagestring error_statusboolean 404 Not Found object error_codeinteger error_messagestring error_statusboolean 500 Internal Server Error object error_codeinteger error_messagestring error_statusboolean